node test_multitask
  (s_min_max_1: int;
  f_min_max_1: int;
  s_min_max_2: int;
  f_min_max_2: int)
returns
  (slow_output_differs: bool;
  fast_output_differs: bool;
  slow_dispatch: bool;
  fast_dispatch: bool;
  _s_release_clk1: bool;
  _s_release_clk2: bool;
  _f_release_clk1: bool;
  _f_release_clk2: bool;
  slow_cmd_I1: int;
  slow_cmd_I2: int;
  fast_cmd_I1: int;
  fast_cmd_I2: int);

var
  V18_V154__s_activate_clk1: bool;
  V19_V156__f_activate_clk1: bool;
  V20_V158__s_dispatched_on_a_processor1: bool;
  V21_V159__f_dispatched_on_a_processor1: bool;
  V22_V160__s_has_cpu_on_a_processor1: bool;
  V23_V161__f_has_cpu_on_a_processor1: bool;
  V24_V162__s_activate_clk2: bool;
  V25_V163__s_dispatch_clk2: bool;
  V26_V164__f_activate_clk2: bool;
  V27_V165__f_dispatch_clk2: bool;
  V28_V166__s_dispatched_on_a_processor2: bool;
  V29_V167__f_dispatched_on_a_processor2: bool;
  V30_V168__s_has_cpu_on_a_processor2: bool;
  V31_V169__f_has_cpu_on_a_processor2: bool;
  V32_V668_y_has_been_emitted: bool;
  V33_V669_reinit: bool;
  V34_V670_y_has_been_emitted: bool;
  V35_V671_reinit: bool;
  V37_V700_f_O_condact: int;
  V38_V701_s_O_condact: int;
  V39_V730_y_has_been_emitted: bool;
  V40_V731_reinit: bool;
  V41_V732_y_has_been_emitted: bool;
  V42_V733_reinit: bool;
  V43_V734_qs_tick: bool;
  V44_V762_f_O_condact: int;
  V45_V763_s_O_condact: int;
  (V46_V673__s_activate_clk_candidate: bool) when V43_V734_qs_tick;
  (V47_V674__f_activate_clk_candidate: bool) when V43_V734_qs_tick;
  (V48_V675_next_dispatched1: bool) when V43_V734_qs_tick;
  (V49_V676_next_dispatched2: bool) when V43_V734_qs_tick;
  (V50_V677_cpt: int) when V43_V734_qs_tick;
  (V51_V678_pcpt: int) when V43_V734_qs_tick;
  (V52_V679_cpt: int) when V43_V734_qs_tick;
  (V53_V680_pcpt: int) when V43_V734_qs_tick;
  (V54_V681_dispatched: bool) when V43_V734_qs_tick;
  (V55_V682_edge_activate: bool) when V43_V734_qs_tick;
  (V56_V683_cpt: int) when V43_V734_qs_tick;
  (V57_V684_pcpt: int) when V43_V734_qs_tick;
  (V58_V685_alea: int) when V43_V734_qs_tick;
  (V59_V686_dispatched: bool) when V43_V734_qs_tick;
  (V60_V687_edge_activate: bool) when V43_V734_qs_tick;
  (V61_V688_cpt: int) when V43_V734_qs_tick;
  (V62_V689_pcpt: int) when V43_V734_qs_tick;
  (V63_V690_alea: int) when V43_V734_qs_tick;
  (V64_V691_y_has_been_emitted: bool) when V43_V734_qs_tick;
  (V65_V692_reinit: bool) when V43_V734_qs_tick;
  (V66_V693_y_has_been_emitted: bool) when V43_V734_qs_tick;
  (V67_V694_reinit: bool) when V43_V734_qs_tick;
  (V68_V695__s_release_clk: bool) when V43_V734_qs_tick;
  (V69_V696__f_release_clk: bool) when V43_V734_qs_tick;
  (V70_V697_dispatched2: bool) when V43_V734_qs_tick;
  (V71_V698_cpu2: bool) when V43_V734_qs_tick;
  (V72_V699_cpu1: bool) when V43_V734_qs_tick;
  (V73_V735__s_activate_clk_candidate: bool) when V43_V734_qs_tick;
  (V74_V736__f_activate_clk_candidate: bool) when V43_V734_qs_tick;
  (V75_V737_next_dispatched1: bool) when V43_V734_qs_tick;
  (V76_V738_next_dispatched2: bool) when V43_V734_qs_tick;
  (V77_V739_cpt: int) when V43_V734_qs_tick;
  (V78_V740_pcpt: int) when V43_V734_qs_tick;
  (V79_V741_cpt: int) when V43_V734_qs_tick;
  (V80_V742_pcpt: int) when V43_V734_qs_tick;
  (V81_V743_dispatched: bool) when V43_V734_qs_tick;
  (V82_V744_edge_activate: bool) when V43_V734_qs_tick;
  (V83_V745_cpt: int) when V43_V734_qs_tick;
  (V84_V746_pcpt: int) when V43_V734_qs_tick;
  (V85_V747_alea: int) when V43_V734_qs_tick;
  (V86_V748_dispatched: bool) when V43_V734_qs_tick;
  (V87_V749_edge_activate: bool) when V43_V734_qs_tick;
  (V88_V750_cpt: int) when V43_V734_qs_tick;
  (V89_V751_pcpt: int) when V43_V734_qs_tick;
  (V90_V752_alea: int) when V43_V734_qs_tick;
  (V91_V753_y_has_been_emitted: bool) when V43_V734_qs_tick;
  (V92_V754_reinit: bool) when V43_V734_qs_tick;
  (V93_V755_y_has_been_emitted: bool) when V43_V734_qs_tick;
  (V94_V756_reinit: bool) when V43_V734_qs_tick;
  (V95_V757__s_release_clk: bool) when V43_V734_qs_tick;
  (V96_V758__f_release_clk: bool) when V43_V734_qs_tick;
  (V97_V759_dispatched2: bool) when V43_V734_qs_tick;
  (V98_V760_cpu2: bool) when V43_V734_qs_tick;
  (V99_V761_cpu1: bool) when V43_V734_qs_tick;

let
  slow_output_differs = (slow_cmd_I1 <> slow_cmd_I2);
  fast_output_differs = (fast_cmd_I1 <> fast_cmd_I2);
  slow_dispatch = (false -> (if ((not (pre V32_V668_y_has_been_emitted)) and (
  false -> (V20_V158__s_dispatched_on_a_processor1 and (not (pre 
  V20_V158__s_dispatched_on_a_processor1))))) then true else (if ((pre 
  V32_V668_y_has_been_emitted) and V33_V669_reinit) then false else false)));
  fast_dispatch = (false -> (if ((not (pre V34_V670_y_has_been_emitted)) and (
  false -> (V21_V159__f_dispatched_on_a_processor1 and (not (pre 
  V21_V159__f_dispatched_on_a_processor1))))) then true else (if ((pre 
  V34_V670_y_has_been_emitted) and V35_V671_reinit) then false else false)));
  _s_release_clk1 = (current V68_V695__s_release_clk);
  _s_release_clk2 = (current V95_V757__s_release_clk);
  _f_release_clk1 = (current V69_V696__f_release_clk);
  _f_release_clk2 = (current V96_V758__f_release_clk);
  slow_cmd_I1 = (5 -> (pre (if _s_release_clk1 then V38_V701_s_O_condact else 
  slow_cmd_I1)));
  slow_cmd_I2 = (5 -> (pre (if _s_release_clk2 then V45_V763_s_O_condact else 
  slow_cmd_I2)));
  fast_cmd_I1 = (5 -> (pre (if _f_release_clk1 then V37_V700_f_O_condact else 
  fast_cmd_I1)));
  fast_cmd_I2 = (5 -> (pre (if _f_release_clk2 then V44_V762_f_O_condact else 
  fast_cmd_I2)));
  V18_V154__s_activate_clk1 = (current (((false) when V43_V734_qs_tick) -> (if 
  ((not (pre V64_V691_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) 
  -> (V71_V698_cpu2 and (not (pre V71_V698_cpu2))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V64_V691_y_has_been_emitted) and 
  V65_V692_reinit) then ((false) when V43_V734_qs_tick) else ((false) when 
  V43_V734_qs_tick)))));
  V19_V156__f_activate_clk1 = (current (((false) when V43_V734_qs_tick) -> (if 
  ((not (pre V66_V693_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) 
  -> (V72_V699_cpu1 and (not (pre V72_V699_cpu1))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V66_V693_y_has_been_emitted) and 
  V67_V694_reinit) then ((false) when V43_V734_qs_tick) else ((false) when 
  V43_V734_qs_tick)))));
  V20_V158__s_dispatched_on_a_processor1 = (current V70_V697_dispatched2);
  V21_V159__f_dispatched_on_a_processor1 = (current V72_V699_cpu1);
  V22_V160__s_has_cpu_on_a_processor1 = (current V71_V698_cpu2);
  V23_V161__f_has_cpu_on_a_processor1 = (current V72_V699_cpu1);
  V24_V162__s_activate_clk2 = (current (((false) when V43_V734_qs_tick) -> (if 
  ((not (pre V91_V753_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) 
  -> (V98_V760_cpu2 and (not (pre V98_V760_cpu2))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V91_V753_y_has_been_emitted) and 
  V92_V754_reinit) then ((false) when V43_V734_qs_tick) else ((false) when 
  V43_V734_qs_tick)))));
  V25_V163__s_dispatch_clk2 = (false -> (if ((not (pre 
  V39_V730_y_has_been_emitted)) and (false -> (
  V28_V166__s_dispatched_on_a_processor2 and (not (pre 
  V28_V166__s_dispatched_on_a_processor2))))) then true else (if ((pre 
  V39_V730_y_has_been_emitted) and V40_V731_reinit) then false else false)));
  V26_V164__f_activate_clk2 = (current (((false) when V43_V734_qs_tick) -> (if 
  ((not (pre V93_V755_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) 
  -> (V99_V761_cpu1 and (not (pre V99_V761_cpu1))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V93_V755_y_has_been_emitted) and 
  V94_V756_reinit) then ((false) when V43_V734_qs_tick) else ((false) when 
  V43_V734_qs_tick)))));
  V27_V165__f_dispatch_clk2 = (false -> (if ((not (pre 
  V41_V732_y_has_been_emitted)) and (false -> (
  V29_V167__f_dispatched_on_a_processor2 and (not (pre 
  V29_V167__f_dispatched_on_a_processor2))))) then true else (if ((pre 
  V41_V732_y_has_been_emitted) and V42_V733_reinit) then false else false)));
  V28_V166__s_dispatched_on_a_processor2 = (current V97_V759_dispatched2);
  V29_V167__f_dispatched_on_a_processor2 = (current V99_V761_cpu1);
  V30_V168__s_has_cpu_on_a_processor2 = (current V98_V760_cpu2);
  V31_V169__f_has_cpu_on_a_processor2 = (current V99_V761_cpu1);
  V32_V668_y_has_been_emitted = (false -> (if ((not (pre 
  V32_V668_y_has_been_emitted)) and (false -> (
  V20_V158__s_dispatched_on_a_processor1 and (not (pre 
  V20_V158__s_dispatched_on_a_processor1))))) then true else (if ((pre 
  V32_V668_y_has_been_emitted) and V33_V669_reinit) then false else (pre 
  V32_V668_y_has_been_emitted))));
  V33_V669_reinit = (not V20_V158__s_dispatched_on_a_processor1);
  V34_V670_y_has_been_emitted = (false -> (if ((not (pre 
  V34_V670_y_has_been_emitted)) and (false -> (
  V21_V159__f_dispatched_on_a_processor1 and (not (pre 
  V21_V159__f_dispatched_on_a_processor1))))) then true else (if ((pre 
  V34_V670_y_has_been_emitted) and V35_V671_reinit) then false else (pre 
  V34_V670_y_has_been_emitted))));
  V35_V671_reinit = (not V21_V159__f_dispatched_on_a_processor1);
  V37_V700_f_O_condact = (if V19_V156__f_activate_clk1 then (current (((
  slow_cmd_I1) when V19_V156__f_activate_clk1) * ((2) when 
  V19_V156__f_activate_clk1))) else (5 -> (pre V37_V700_f_O_condact)));
  V38_V701_s_O_condact = (if V18_V154__s_activate_clk1 then (current (((
  fast_cmd_I1) when V18_V154__s_activate_clk1) - ((2) when 
  V18_V154__s_activate_clk1))) else (5 -> (pre V38_V701_s_O_condact)));
  V39_V730_y_has_been_emitted = (false -> (if ((not (pre 
  V39_V730_y_has_been_emitted)) and (false -> (
  V28_V166__s_dispatched_on_a_processor2 and (not (pre 
  V28_V166__s_dispatched_on_a_processor2))))) then true else (if ((pre 
  V39_V730_y_has_been_emitted) and V40_V731_reinit) then false else (pre 
  V39_V730_y_has_been_emitted))));
  V40_V731_reinit = (not V28_V166__s_dispatched_on_a_processor2);
  V41_V732_y_has_been_emitted = (false -> (if ((not (pre 
  V41_V732_y_has_been_emitted)) and (false -> (
  V29_V167__f_dispatched_on_a_processor2 and (not (pre 
  V29_V167__f_dispatched_on_a_processor2))))) then true else (if ((pre 
  V41_V732_y_has_been_emitted) and V42_V733_reinit) then false else (pre 
  V41_V732_y_has_been_emitted))));
  V42_V733_reinit = (not V29_V167__f_dispatched_on_a_processor2);
  V43_V734_qs_tick = true;
  V44_V762_f_O_condact = (if V26_V164__f_activate_clk2 then (current (((
  slow_cmd_I2) when V26_V164__f_activate_clk2) * ((2) when 
  V26_V164__f_activate_clk2))) else (5 -> (pre V44_V762_f_O_condact)));
  V45_V763_s_O_condact = (if V24_V162__s_activate_clk2 then (current (((
  fast_cmd_I2) when V24_V162__s_activate_clk2) - ((2) when 
  V24_V162__s_activate_clk2))) else (5 -> (pre V45_V763_s_O_condact)));
  V46_V673__s_activate_clk_candidate = (((true) when V43_V734_qs_tick) -> (
  V51_V678_pcpt = ((1) when V43_V734_qs_tick)));
  V47_V674__f_activate_clk_candidate = (((true) when V43_V734_qs_tick) -> (
  V53_V680_pcpt = ((1) when V43_V734_qs_tick)));
  V48_V675_next_dispatched1 = (if V59_V686_dispatched then (not 
  V69_V696__f_release_clk) else V47_V674__f_activate_clk_candidate);
  V49_V676_next_dispatched2 = (if V54_V681_dispatched then (not 
  V68_V695__s_release_clk) else V46_V673__s_activate_clk_candidate);
  V50_V677_cpt = (if V46_V673__s_activate_clk_candidate then ((15) when 
  V43_V734_qs_tick) else (V51_V678_pcpt - ((1) when V43_V734_qs_tick)));
  V51_V678_pcpt = (((15) when V43_V734_qs_tick) -> (pre V50_V677_cpt));
  V52_V679_cpt = (if V47_V674__f_activate_clk_candidate then ((10) when 
  V43_V734_qs_tick) else (V53_V680_pcpt - ((1) when V43_V734_qs_tick)));
  V53_V680_pcpt = (((10) when V43_V734_qs_tick) -> (pre V52_V679_cpt));
  V54_V681_dispatched = (((false) when V43_V734_qs_tick) -> (pre 
  V49_V676_next_dispatched2));
  V55_V682_edge_activate = (if V54_V681_dispatched then ((false) when 
  V43_V734_qs_tick) else V46_V673__s_activate_clk_candidate);
  V56_V683_cpt = (if V54_V681_dispatched then (if V71_V698_cpu2 then (
  V57_V684_pcpt + ((1) when V43_V734_qs_tick)) else V57_V684_pcpt) else ((0) 
  when V43_V734_qs_tick));
  V57_V684_pcpt = (((0) when V43_V734_qs_tick) -> (pre V56_V683_cpt));
  V58_V685_alea = (if V55_V682_edge_activate then ((s_min_max_1) when 
  V43_V734_qs_tick) else (((0) when V43_V734_qs_tick) -> (pre V58_V685_alea)));
  V59_V686_dispatched = (((false) when V43_V734_qs_tick) -> (pre 
  V48_V675_next_dispatched1));
  V60_V687_edge_activate = (if V59_V686_dispatched then ((false) when 
  V43_V734_qs_tick) else V47_V674__f_activate_clk_candidate);
  V61_V688_cpt = (if V59_V686_dispatched then (if V72_V699_cpu1 then (
  V62_V689_pcpt + ((1) when V43_V734_qs_tick)) else V62_V689_pcpt) else ((0) 
  when V43_V734_qs_tick));
  V62_V689_pcpt = (((0) when V43_V734_qs_tick) -> (pre V61_V688_cpt));
  V63_V690_alea = (if V60_V687_edge_activate then ((f_min_max_1) when 
  V43_V734_qs_tick) else (((0) when V43_V734_qs_tick) -> (pre V63_V690_alea)));
  V64_V691_y_has_been_emitted = (((false) when V43_V734_qs_tick) -> (if ((not 
  (pre V64_V691_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) -> (
  V71_V698_cpu2 and (not (pre V71_V698_cpu2))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V64_V691_y_has_been_emitted) and 
  V65_V692_reinit) then ((false) when V43_V734_qs_tick) else (pre 
  V64_V691_y_has_been_emitted))));
  V65_V692_reinit = (not V70_V697_dispatched2);
  V66_V693_y_has_been_emitted = (((false) when V43_V734_qs_tick) -> (if ((not 
  (pre V66_V693_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) -> (
  V72_V699_cpu1 and (not (pre V72_V699_cpu1))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V66_V693_y_has_been_emitted) and 
  V67_V694_reinit) then ((false) when V43_V734_qs_tick) else (pre 
  V66_V693_y_has_been_emitted))));
  V67_V694_reinit = (not V72_V699_cpu1);
  V68_V695__s_release_clk = (V71_V698_cpu2 and (V56_V683_cpt = V58_V685_alea));
  V69_V696__f_release_clk = (V72_V699_cpu1 and (V61_V688_cpt = V63_V690_alea));
  V70_V697_dispatched2 = (((false) when V43_V734_qs_tick) -> (pre 
  V49_V676_next_dispatched2));
  V71_V698_cpu2 = (V70_V697_dispatched2 and (not V72_V699_cpu1));
  V72_V699_cpu1 = (((false) when V43_V734_qs_tick) -> (pre 
  V48_V675_next_dispatched1));
  V73_V735__s_activate_clk_candidate = (((true) when V43_V734_qs_tick) -> (
  V78_V740_pcpt = ((1) when V43_V734_qs_tick)));
  V74_V736__f_activate_clk_candidate = (((true) when V43_V734_qs_tick) -> (
  V80_V742_pcpt = ((1) when V43_V734_qs_tick)));
  V75_V737_next_dispatched1 = (if V86_V748_dispatched then (not 
  V96_V758__f_release_clk) else V74_V736__f_activate_clk_candidate);
  V76_V738_next_dispatched2 = (if V81_V743_dispatched then (not 
  V95_V757__s_release_clk) else V73_V735__s_activate_clk_candidate);
  V77_V739_cpt = (if V73_V735__s_activate_clk_candidate then ((15) when 
  V43_V734_qs_tick) else (V78_V740_pcpt - ((1) when V43_V734_qs_tick)));
  V78_V740_pcpt = (((15) when V43_V734_qs_tick) -> (pre V77_V739_cpt));
  V79_V741_cpt = (if V74_V736__f_activate_clk_candidate then ((10) when 
  V43_V734_qs_tick) else (V80_V742_pcpt - ((1) when V43_V734_qs_tick)));
  V80_V742_pcpt = (((10) when V43_V734_qs_tick) -> (pre V79_V741_cpt));
  V81_V743_dispatched = (((false) when V43_V734_qs_tick) -> (pre 
  V76_V738_next_dispatched2));
  V82_V744_edge_activate = (if V81_V743_dispatched then ((false) when 
  V43_V734_qs_tick) else V73_V735__s_activate_clk_candidate);
  V83_V745_cpt = (if V81_V743_dispatched then (if V98_V760_cpu2 then (
  V84_V746_pcpt + ((1) when V43_V734_qs_tick)) else V84_V746_pcpt) else ((0) 
  when V43_V734_qs_tick));
  V84_V746_pcpt = (((0) when V43_V734_qs_tick) -> (pre V83_V745_cpt));
  V85_V747_alea = (if V82_V744_edge_activate then ((s_min_max_2) when 
  V43_V734_qs_tick) else (((0) when V43_V734_qs_tick) -> (pre V85_V747_alea)));
  V86_V748_dispatched = (((false) when V43_V734_qs_tick) -> (pre 
  V75_V737_next_dispatched1));
  V87_V749_edge_activate = (if V86_V748_dispatched then ((false) when 
  V43_V734_qs_tick) else V74_V736__f_activate_clk_candidate);
  V88_V750_cpt = (if V86_V748_dispatched then (if V99_V761_cpu1 then (
  V89_V751_pcpt + ((1) when V43_V734_qs_tick)) else V89_V751_pcpt) else ((0) 
  when V43_V734_qs_tick));
  V89_V751_pcpt = (((0) when V43_V734_qs_tick) -> (pre V88_V750_cpt));
  V90_V752_alea = (if V87_V749_edge_activate then ((f_min_max_2) when 
  V43_V734_qs_tick) else (((0) when V43_V734_qs_tick) -> (pre V90_V752_alea)));
  V91_V753_y_has_been_emitted = (((false) when V43_V734_qs_tick) -> (if ((not 
  (pre V91_V753_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) -> (
  V98_V760_cpu2 and (not (pre V98_V760_cpu2))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V91_V753_y_has_been_emitted) and 
  V92_V754_reinit) then ((false) when V43_V734_qs_tick) else (pre 
  V91_V753_y_has_been_emitted))));
  V92_V754_reinit = (not V97_V759_dispatched2);
  V93_V755_y_has_been_emitted = (((false) when V43_V734_qs_tick) -> (if ((not 
  (pre V93_V755_y_has_been_emitted)) and (((false) when V43_V734_qs_tick) -> (
  V99_V761_cpu1 and (not (pre V99_V761_cpu1))))) then ((true) when 
  V43_V734_qs_tick) else (if ((pre V93_V755_y_has_been_emitted) and 
  V94_V756_reinit) then ((false) when V43_V734_qs_tick) else (pre 
  V93_V755_y_has_been_emitted))));
  V94_V756_reinit = (not V99_V761_cpu1);
  V95_V757__s_release_clk = (V98_V760_cpu2 and (V83_V745_cpt = V85_V747_alea));
  V96_V758__f_release_clk = (V99_V761_cpu1 and (V88_V750_cpt = V90_V752_alea));
  V97_V759_dispatched2 = (((false) when V43_V734_qs_tick) -> (pre 
  V76_V738_next_dispatched2));
  V98_V760_cpu2 = (V97_V759_dispatched2 and (not V99_V761_cpu1));
  V99_V761_cpu1 = (((false) when V43_V734_qs_tick) -> (pre 
  V75_V737_next_dispatched1));
tel.

