node multitask_8
  (_s_release_clk_min_max: int;
  _f_release_clk_min_max: int)
returns
  (slow_cmd_I: int;
  fast_cmd_I: int;
  _s_activate_clk: bool;
  _s_dispatch_clk: bool;
  _s_release_clk: bool;
  _f_activate_clk: bool;
  _f_dispatch_clk: bool;
  _f_release_clk: bool;
  _s_dispatched_on_a_processor: bool;
  _f_dispatched_on_a_processor: bool;
  _s_has_cpu_on_a_processor: bool;
  _f_has_cpu_on_a_processor: bool;
  schedul_ok: bool);

var
  V546_idle_f: bool;
  V547_dispatched_f: bool;
  V548_running_f: bool;
  V549_ok__f: bool;
  V550_idle_s: bool;
  V551_dispatched_s: bool;
  V552_running_s: bool;
  V553_ok__s: bool;
  (V555_next_dispatched1: bool) when V554_qs_tick;
  (V556_next_dispatched2: bool) when V554_qs_tick;
  (V557_cpt: int) when V554_qs_tick;
  (V558_pcpt: int) when V554_qs_tick;
  (V559_cpt: int) when V554_qs_tick;
  (V560_pcpt: int) when V554_qs_tick;
  (V561_dispatched: bool) when V554_qs_tick;
  (V562_edge_activate: bool) when V554_qs_tick;
  (V563_cpt: int) when V554_qs_tick;
  (V564_pcpt: int) when V554_qs_tick;
  (V565_alea: int) when V554_qs_tick;
  (V566_dispatched: bool) when V554_qs_tick;
  (V567_edge_activate: bool) when V554_qs_tick;
  (V568_cpt: int) when V554_qs_tick;
  (V569_pcpt: int) when V554_qs_tick;
  (V570_alea: int) when V554_qs_tick;
  (V571_y_has_been_emitted: bool) when V554_qs_tick;
  (V572_reinit: bool) when V554_qs_tick;
  (V573_y_has_been_emitted: bool) when V554_qs_tick;
  (V574_reinit: bool) when V554_qs_tick;
  (V575__s_dispatch_clk: bool) when V554_qs_tick;
  (V576__s_release_clk: bool) when V554_qs_tick;
  (V577__f_dispatch_clk: bool) when V554_qs_tick;
  (V578__f_release_clk: bool) when V554_qs_tick;
  (V579_dispatched2: bool) when V554_qs_tick;
  (V580_cpu2: bool) when V554_qs_tick;
  (V581_cpu1: bool) when V554_qs_tick;
  V554_qs_tick: bool;
  V597_f_O_condact: int;
  V598_s_O_condact: int;

let
  slow_cmd_I = (0 -> (pre (if _s_dispatch_clk then V598_s_O_condact else 
  slow_cmd_I)));
  fast_cmd_I = (0 -> (pre (if _f_release_clk then V597_f_O_condact else 
  fast_cmd_I)));
  _s_activate_clk = (if true then (current (((false) when V554_qs_tick) -> (if 
  ((not (pre V571_y_has_been_emitted)) and (((false) when V554_qs_tick) -> (
  V580_cpu2 and (not (pre V580_cpu2))))) then ((true) when V554_qs_tick) else 
  (if ((pre V571_y_has_been_emitted) and V572_reinit) then ((false) when 
  V554_qs_tick) else ((false) when V554_qs_tick))))) else false);
  _s_dispatch_clk = (if true then (current V575__s_dispatch_clk) else false);
  _s_release_clk = (if true then (current V576__s_release_clk) else false);
  _f_activate_clk = (if true then (current (((false) when V554_qs_tick) -> (if 
  ((not (pre V573_y_has_been_emitted)) and (((false) when V554_qs_tick) -> (
  V581_cpu1 and (not (pre V581_cpu1))))) then ((true) when V554_qs_tick) else 
  (if ((pre V573_y_has_been_emitted) and V574_reinit) then ((false) when 
  V554_qs_tick) else ((false) when V554_qs_tick))))) else false);
  _f_dispatch_clk = (if true then (current V577__f_dispatch_clk) else false);
  _f_release_clk = (if true then (current V578__f_release_clk) else false);
  _s_dispatched_on_a_processor = (if true then (current V579_dispatched2) else 
  false);
  _f_dispatched_on_a_processor = (if true then (current V581_cpu1) else false);
  _s_has_cpu_on_a_processor = (if true then (current V580_cpu2) else false);
  _f_has_cpu_on_a_processor = (if true then (current V581_cpu1) else false);
  schedul_ok = (V549_ok__f and V553_ok__s);
  V546_idle_f = (((((((true -> (pre V546_idle_f)) and (not _f_activate_clk)) 
  and (not _f_release_clk)) and (not _f_dispatch_clk)) or ((((true -> (pre 
  V546_idle_f)) and _f_activate_clk) and _f_release_clk) and _f_dispatch_clk)) 
  or ((((false -> (pre V547_dispatched_f)) and _f_activate_clk) and 
  _f_release_clk) and (not _f_dispatch_clk))) or ((((false -> (pre 
  V548_running_f)) and (not _f_activate_clk)) and _f_release_clk) and (not 
  _f_dispatch_clk)));
  V547_dispatched_f = (((((false -> (pre V547_dispatched_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (true -> (pre V546_idle_f)) and (not _f_activate_clk)) and (not 
  _f_release_clk)) and _f_dispatch_clk));
  V548_running_f = ((((((false -> (pre V548_running_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (false -> (pre V547_dispatched_f)) and _f_activate_clk) and (not 
  _f_release_clk)) and (not _f_dispatch_clk))) or ((((true -> (pre V546_idle_f)
  ) and _f_activate_clk) and (not _f_release_clk)) and _f_dispatch_clk));
  V549_ok__f = ((V546_idle_f or V547_dispatched_f) or V548_running_f);
  V550_idle_s = (((((((true -> (pre V550_idle_s)) and (not _s_activate_clk)) 
  and (not _s_release_clk)) and (not _s_dispatch_clk)) or ((((true -> (pre 
  V550_idle_s)) and _s_activate_clk) and _s_release_clk) and _s_dispatch_clk)) 
  or ((((false -> (pre V551_dispatched_s)) and _s_activate_clk) and 
  _s_release_clk) and (not _s_dispatch_clk))) or ((((false -> (pre 
  V552_running_s)) and (not _s_activate_clk)) and _s_release_clk) and (not 
  _s_dispatch_clk)));
  V551_dispatched_s = (((((false -> (pre V551_dispatched_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (true -> (pre V550_idle_s)) and (not _s_activate_clk)) and (not 
  _s_release_clk)) and _s_dispatch_clk));
  V552_running_s = ((((((false -> (pre V552_running_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (false -> (pre V551_dispatched_s)) and _s_activate_clk) and (not 
  _s_release_clk)) and (not _s_dispatch_clk))) or ((((true -> (pre V550_idle_s)
  ) and _s_activate_clk) and (not _s_release_clk)) and _s_dispatch_clk));
  V553_ok__s = ((V550_idle_s or V551_dispatched_s) or V552_running_s);
  V555_next_dispatched1 = (if V566_dispatched then (not V578__f_release_clk) 
  else V577__f_dispatch_clk);
  V556_next_dispatched2 = (if V561_dispatched then (not V576__s_release_clk) 
  else V575__s_dispatch_clk);
  V557_cpt = (if V575__s_dispatch_clk then ((15) when V554_qs_tick) else (
  V558_pcpt - ((1) when V554_qs_tick)));
  V558_pcpt = (((15) when V554_qs_tick) -> (pre V557_cpt));
  V559_cpt = (if V577__f_dispatch_clk then ((10) when V554_qs_tick) else (
  V560_pcpt - ((1) when V554_qs_tick)));
  V560_pcpt = (((10) when V554_qs_tick) -> (pre V559_cpt));
  V561_dispatched = (((false) when V554_qs_tick) -> (pre V556_next_dispatched2)
  );
  V562_edge_activate = (if V561_dispatched then ((false) when V554_qs_tick) 
  else V575__s_dispatch_clk);
  V563_cpt = (if V561_dispatched then (if V580_cpu2 then (V564_pcpt + ((1) when 
  V554_qs_tick)) else V564_pcpt) else ((0) when V554_qs_tick));
  V564_pcpt = (((0) when V554_qs_tick) -> (pre V563_cpt));
  V565_alea = (if V562_edge_activate then ((_s_release_clk_min_max) when 
  V554_qs_tick) else (((0) when V554_qs_tick) -> (pre V565_alea)));
  V566_dispatched = (((false) when V554_qs_tick) -> (pre V555_next_dispatched1)
  );
  V567_edge_activate = (if V566_dispatched then ((false) when V554_qs_tick) 
  else V577__f_dispatch_clk);
  V568_cpt = (if V566_dispatched then (if V581_cpu1 then (V569_pcpt + ((1) when 
  V554_qs_tick)) else V569_pcpt) else ((0) when V554_qs_tick));
  V569_pcpt = (((0) when V554_qs_tick) -> (pre V568_cpt));
  V570_alea = (if V567_edge_activate then ((_f_release_clk_min_max) when 
  V554_qs_tick) else (((0) when V554_qs_tick) -> (pre V570_alea)));
  V571_y_has_been_emitted = (((false) when V554_qs_tick) -> (if ((not (pre 
  V571_y_has_been_emitted)) and (((false) when V554_qs_tick) -> (V580_cpu2 and 
  (not (pre V580_cpu2))))) then ((true) when V554_qs_tick) else (if ((pre 
  V571_y_has_been_emitted) and V572_reinit) then ((false) when V554_qs_tick) 
  else (pre V571_y_has_been_emitted))));
  V572_reinit = (not V579_dispatched2);
  V573_y_has_been_emitted = (((false) when V554_qs_tick) -> (if ((not (pre 
  V573_y_has_been_emitted)) and (((false) when V554_qs_tick) -> (V581_cpu1 and 
  (not (pre V581_cpu1))))) then ((true) when V554_qs_tick) else (if ((pre 
  V573_y_has_been_emitted) and V574_reinit) then ((false) when V554_qs_tick) 
  else (pre V573_y_has_been_emitted))));
  V574_reinit = (not V581_cpu1);
  V575__s_dispatch_clk = (((true) when V554_qs_tick) -> (V558_pcpt = ((1) when 
  V554_qs_tick)));
  V576__s_release_clk = (V580_cpu2 and (V563_cpt = V565_alea));
  V577__f_dispatch_clk = (((true) when V554_qs_tick) -> (V560_pcpt = ((1) when 
  V554_qs_tick)));
  V578__f_release_clk = (V581_cpu1 and (V568_cpt = V570_alea));
  V579_dispatched2 = (((false) when V554_qs_tick) -> (pre V556_next_dispatched2
  ));
  V580_cpu2 = (V579_dispatched2 and (not V581_cpu1));
  V581_cpu1 = (((false) when V554_qs_tick) -> (pre V555_next_dispatched1));
  V554_qs_tick = true;
  V597_f_O_condact = (if _f_activate_clk then (current ((0) when 
  _f_activate_clk)) else (0 -> (pre V597_f_O_condact)));
  V598_s_O_condact = (if _s_activate_clk then (current ((0) when 
  _s_activate_clk)) else (0 -> (pre V598_s_O_condact)));
tel.

