unsafe function random_int
  (min: int;
  max: int)
returns
  (a: int).

node multitask_14
  (dummy_in: bool)
returns
  (slow_cmd_I: int;
  fast_cmd_I: int;
  _s_activate_clk: bool;
  _s_dispatch_clk: bool;
  _s_release_clk: bool;
  _f_activate_clk: bool;
  _f_dispatch_clk: bool;
  _f_release_clk: bool;
  _s_dispatched_on_a_processor: bool;
  _f_dispatched_on_a_processor: bool;
  _s_has_cpu_on_a_processor: bool;
  _f_has_cpu_on_a_processor: bool;
  schedul_ok: bool);

var
  V560_idle_f: bool;
  V561_dispatched_f: bool;
  V562_running_f: bool;
  V563_ok__f: bool;
  V564_idle_s: bool;
  V565_dispatched_s: bool;
  V566_running_s: bool;
  V567_ok__s: bool;
  (V569_next_dispatched1: bool) when V568_qs_tick;
  (V570_next_dispatched2: bool) when V568_qs_tick;
  (V571_cpt: int) when V568_qs_tick;
  (V572_pcpt: int) when V568_qs_tick;
  (V573_cpt: int) when V568_qs_tick;
  (V574_pcpt: int) when V568_qs_tick;
  (V575_dispatched: bool) when V568_qs_tick;
  (V576_edge_activate: bool) when V568_qs_tick;
  (V577_cpt: int) when V568_qs_tick;
  (V578_pcpt: int) when V568_qs_tick;
  (V579_alea: int) when V568_qs_tick;
  (V580_dispatched: bool) when V568_qs_tick;
  (V581_edge_activate: bool) when V568_qs_tick;
  (V582_cpt: int) when V568_qs_tick;
  (V583_pcpt: int) when V568_qs_tick;
  (V584_alea: int) when V568_qs_tick;
  (V585_y_has_been_emitted: bool) when V568_qs_tick;
  (V586_reinit: bool) when V568_qs_tick;
  (V587_y_has_been_emitted: bool) when V568_qs_tick;
  (V588_reinit: bool) when V568_qs_tick;
  (V589__s_dispatch_clk: bool) when V568_qs_tick;
  (V590__s_release_clk: bool) when V568_qs_tick;
  (V591__f_dispatch_clk: bool) when V568_qs_tick;
  (V592__f_release_clk: bool) when V568_qs_tick;
  (V593_dispatched2: bool) when V568_qs_tick;
  (V594_cpu2: bool) when V568_qs_tick;
  (V595_cpu1: bool) when V568_qs_tick;
  V568_qs_tick: bool;
  V614_f_O_condact: int;
  V615_s_O_condact: int;

let
  slow_cmd_I = (0 -> (pre (if _s_dispatch_clk then V615_s_O_condact else 
  slow_cmd_I)));
  fast_cmd_I = (0 -> (pre (if _f_release_clk then V614_f_O_condact else 
  fast_cmd_I)));
  _s_activate_clk = (if true then (current (((false) when V568_qs_tick) -> (if 
  ((not (pre V585_y_has_been_emitted)) and (((false) when V568_qs_tick) -> (
  V594_cpu2 and (not (pre V594_cpu2))))) then ((true) when V568_qs_tick) else 
  (if ((pre V585_y_has_been_emitted) and V586_reinit) then ((false) when 
  V568_qs_tick) else ((false) when V568_qs_tick))))) else false);
  _s_dispatch_clk = (if true then (current V589__s_dispatch_clk) else false);
  _s_release_clk = (if true then (current V590__s_release_clk) else false);
  _f_activate_clk = (if true then (current (((false) when V568_qs_tick) -> (if 
  ((not (pre V587_y_has_been_emitted)) and (((false) when V568_qs_tick) -> (
  V595_cpu1 and (not (pre V595_cpu1))))) then ((true) when V568_qs_tick) else 
  (if ((pre V587_y_has_been_emitted) and V588_reinit) then ((false) when 
  V568_qs_tick) else ((false) when V568_qs_tick))))) else false);
  _f_dispatch_clk = (if true then (current V591__f_dispatch_clk) else false);
  _f_release_clk = (if true then (current V592__f_release_clk) else false);
  _s_dispatched_on_a_processor = (if true then (current V593_dispatched2) else 
  false);
  _f_dispatched_on_a_processor = (if true then (current V595_cpu1) else false);
  _s_has_cpu_on_a_processor = (if true then (current V594_cpu2) else false);
  _f_has_cpu_on_a_processor = (if true then (current V595_cpu1) else false);
  schedul_ok = (V563_ok__f and V567_ok__s);
  V560_idle_f = (((((((true -> (pre V560_idle_f)) and (not _f_activate_clk)) 
  and (not _f_release_clk)) and (not _f_dispatch_clk)) or ((((true -> (pre 
  V560_idle_f)) and _f_activate_clk) and _f_release_clk) and _f_dispatch_clk)) 
  or ((((false -> (pre V561_dispatched_f)) and _f_activate_clk) and 
  _f_release_clk) and (not _f_dispatch_clk))) or ((((false -> (pre 
  V562_running_f)) and (not _f_activate_clk)) and _f_release_clk) and (not 
  _f_dispatch_clk)));
  V561_dispatched_f = (((((false -> (pre V561_dispatched_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (true -> (pre V560_idle_f)) and (not _f_activate_clk)) and (not 
  _f_release_clk)) and _f_dispatch_clk));
  V562_running_f = ((((((false -> (pre V562_running_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (false -> (pre V561_dispatched_f)) and _f_activate_clk) and (not 
  _f_release_clk)) and (not _f_dispatch_clk))) or ((((true -> (pre V560_idle_f)
  ) and _f_activate_clk) and (not _f_release_clk)) and _f_dispatch_clk));
  V563_ok__f = ((V560_idle_f or V561_dispatched_f) or V562_running_f);
  V564_idle_s = (((((((true -> (pre V564_idle_s)) and (not _s_activate_clk)) 
  and (not _s_release_clk)) and (not _s_dispatch_clk)) or ((((true -> (pre 
  V564_idle_s)) and _s_activate_clk) and _s_release_clk) and _s_dispatch_clk)) 
  or ((((false -> (pre V565_dispatched_s)) and _s_activate_clk) and 
  _s_release_clk) and (not _s_dispatch_clk))) or ((((false -> (pre 
  V566_running_s)) and (not _s_activate_clk)) and _s_release_clk) and (not 
  _s_dispatch_clk)));
  V565_dispatched_s = (((((false -> (pre V565_dispatched_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (true -> (pre V564_idle_s)) and (not _s_activate_clk)) and (not 
  _s_release_clk)) and _s_dispatch_clk));
  V566_running_s = ((((((false -> (pre V566_running_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (false -> (pre V565_dispatched_s)) and _s_activate_clk) and (not 
  _s_release_clk)) and (not _s_dispatch_clk))) or ((((true -> (pre V564_idle_s)
  ) and _s_activate_clk) and (not _s_release_clk)) and _s_dispatch_clk));
  V567_ok__s = ((V564_idle_s or V565_dispatched_s) or V566_running_s);
  V569_next_dispatched1 = (if V580_dispatched then (not V592__f_release_clk) 
  else V591__f_dispatch_clk);
  V570_next_dispatched2 = (if V575_dispatched then (not V590__s_release_clk) 
  else V589__s_dispatch_clk);
  V571_cpt = (if V589__s_dispatch_clk then ((15) when V568_qs_tick) else (
  V572_pcpt - ((1) when V568_qs_tick)));
  V572_pcpt = (((15) when V568_qs_tick) -> (pre V571_cpt));
  V573_cpt = (if V591__f_dispatch_clk then ((10) when V568_qs_tick) else (
  V574_pcpt - ((1) when V568_qs_tick)));
  V574_pcpt = (((10) when V568_qs_tick) -> (pre V573_cpt));
  V575_dispatched = (((false) when V568_qs_tick) -> (pre V570_next_dispatched2)
  );
  V576_edge_activate = (if V575_dispatched then ((false) when V568_qs_tick) 
  else V589__s_dispatch_clk);
  V577_cpt = (if V575_dispatched then (if V594_cpu2 then (V578_pcpt + ((1) when 
  V568_qs_tick)) else V578_pcpt) else ((0) when V568_qs_tick));
  V578_pcpt = (((0) when V568_qs_tick) -> (pre V577_cpt));
  V579_alea = (if V576_edge_activate then random_int (((5) when V568_qs_tick), 
  ((5) when V568_qs_tick)) else (((0) when V568_qs_tick) -> (pre V579_alea)));
  V580_dispatched = (((false) when V568_qs_tick) -> (pre V569_next_dispatched1)
  );
  V581_edge_activate = (if V580_dispatched then ((false) when V568_qs_tick) 
  else V591__f_dispatch_clk);
  V582_cpt = (if V580_dispatched then (if V595_cpu1 then (V583_pcpt + ((1) when 
  V568_qs_tick)) else V583_pcpt) else ((0) when V568_qs_tick));
  V583_pcpt = (((0) when V568_qs_tick) -> (pre V582_cpt));
  V584_alea = (if V581_edge_activate then random_int (((1) when V568_qs_tick), 
  ((1) when V568_qs_tick)) else (((0) when V568_qs_tick) -> (pre V584_alea)));
  V585_y_has_been_emitted = (((false) when V568_qs_tick) -> (if ((not (pre 
  V585_y_has_been_emitted)) and (((false) when V568_qs_tick) -> (V594_cpu2 and 
  (not (pre V594_cpu2))))) then ((true) when V568_qs_tick) else (if ((pre 
  V585_y_has_been_emitted) and V586_reinit) then ((false) when V568_qs_tick) 
  else (pre V585_y_has_been_emitted))));
  V586_reinit = (not V593_dispatched2);
  V587_y_has_been_emitted = (((false) when V568_qs_tick) -> (if ((not (pre 
  V587_y_has_been_emitted)) and (((false) when V568_qs_tick) -> (V595_cpu1 and 
  (not (pre V595_cpu1))))) then ((true) when V568_qs_tick) else (if ((pre 
  V587_y_has_been_emitted) and V588_reinit) then ((false) when V568_qs_tick) 
  else (pre V587_y_has_been_emitted))));
  V588_reinit = (not V595_cpu1);
  V589__s_dispatch_clk = (((true) when V568_qs_tick) -> (V572_pcpt = ((1) when 
  V568_qs_tick)));
  V590__s_release_clk = (V594_cpu2 and (V577_cpt = V579_alea));
  V591__f_dispatch_clk = (((true) when V568_qs_tick) -> (V574_pcpt = ((1) when 
  V568_qs_tick)));
  V592__f_release_clk = (V595_cpu1 and (V582_cpt = V584_alea));
  V593_dispatched2 = (((false) when V568_qs_tick) -> (pre V570_next_dispatched2
  ));
  V594_cpu2 = (V593_dispatched2 and (not V595_cpu1));
  V595_cpu1 = (((false) when V568_qs_tick) -> (pre V569_next_dispatched1));
  V568_qs_tick = true;
  V614_f_O_condact = (if _f_activate_clk then (current ((0) when 
  _f_activate_clk)) else (0 -> (pre V614_f_O_condact)));
  V615_s_O_condact = (if _s_activate_clk then (current ((0) when 
  _s_activate_clk)) else (0 -> (pre V615_s_O_condact)));
tel.

